Subject: bug#38583: [PATCH] 27.0.50; Add unattended spell-checking to checkdoc

From: Eli Zaretskii <[email-masked]>
Date: Fri, 17 Jan 2020 11:49:56 +0200

> From: Damien Cassou <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked],
>  [email-masked], [email-masked], [email-masked]
> Date: Fri, 17 Jan 2020 10:06:09 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> > In general, yes.  But you can try convincing me that it is so
> > important to have in Emacs 27 that we should make an exception.  I
> > considered this, and concluded that it's a minor convenience feature.
> > But maybe I'm missing something?
> 
> Integrating into Emacs 27 late in the process is risky because my code
> could have introduced subtle bugs inside checkdoc and I would not like
> to be responsible for a delay in the release.  That being said and
> checkdoc being automatically activated by flycheck (which I believe many
> people use), I think we will find bugs in my code quite fast if there
> are any.  Moreover, I think that improving the overall quality of Emacs
> code is important and every little step in this direction would be
> helpful.
> 
> I'm not sure this is convincing enough but I would have tried :-D.

OK, I've cherry-picked this to the release branch, mainly because it
narrowly missed the branching due to delays in our review of the
patch.

> FYI, this work on checkdoc is part of a larger piece of work I've
> started some years ago on improving the quality of Emacs packages.  Here
> are some of my activities in this area:

Thank you for your work on this.